Joybuy: £4 off £20+ with code halloween All codes

Technology Gear World Gear Cart
Gear World Hub One Hub. Every Gear World. Explore the Hub
Zyxel GS1920-24HPv2 Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Zyxel

Zyxel GS1920-24HPv2 Managed L2/L3/L4 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

£323.99

Retailer
Back to the Office
Stock
In stock
Price checked
View at Back to the Office

You buy on the Back to the Office website, at their price. We may earn a commission. How this works

About this product

Whisper-quiet operation: Smart fan and fanless designs for silent operation in your workplace. User-friendly LED indicators: View real-time status instantly with cloud and PoE power-usage LED indicators. Power more devices more easily: Provides 30W per port and a wide range of power budget options from 130W to 375W—ideal for denser PoE deployments. Zyxel ONE Network: Use the complimentary ZON Utility to configure and discover switches, WLANs, and gateways in your network with one click. A new-look smart managed switch with a refreshed design inside and out!. The GS1920v2 series extends the success of the best-selling GS1920 series with a stylish new look and enables cloud manageability with Zyxel NebulaFlexTM technology.. Manage it your way!. The GS1920v2 series introduces Zyxel NebulaFlexTM, which allows you to easily switch between standalone mode and our license-free Nebula cloud management platform anytime with just a few simple clicks.. Maximum flexibility for your Gig. The GS1920v2 series is ideal for SMB deployment in multiple scenarios, with its unique port combinations futureproofing your network to ensure easy growth down the road.. Designed for the long haul. A web smart managed switch with an enterprise-grade hardware design. Built-in state-of-the-art hardware technology brings high quality and robustness to SMB networks.. Management features. MIB support. RFC 1066, RFC 1213, RFC 1157, RFC 1493, RFC 1643, RFC 1757, RFC 2011.2012,2013, RFC 2233, RFC 2358, RFC…

Specifications

Brand
Zyxel
Model number
GS192024HPV2-GB0101F
EAN / GTIN
4718937601943

Similar products